<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: CoverHeadOfTargetPlayerLambda Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('da/d51/class_cover_head_of_target_player_lambda.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">CoverHeadOfTargetPlayerLambda Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for CoverHeadOfTargetPlayerLambda:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../da/d51/class_cover_head_of_target_player_lambda.png" usemap="#CoverHeadOfTargetPlayerLambda_map" alt=""/>
  <map id="CoverHeadOfTargetPlayerLambda_map" name="CoverHeadOfTargetPlayerLambda_map">
<area href="../../d1/de0/class_turn_item_into_item_lambda.html" alt="TurnItemIntoItemLambda" shape="rect" coords="0,0,208,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a6a22f38a26ed20af8adf8447c014caff"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d51/class_cover_head_of_target_player_lambda.html#a6a22f38a26ed20af8adf8447c014caff">CoverHeadOfTargetPlayerLambda</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> old_item, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> new_item_type, <a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:a6a22f38a26ed20af8adf8447c014caff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab956c1c17e1a830ae1ed70da9726514c"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d51/class_cover_head_of_target_player_lambda.html#ab956c1c17e1a830ae1ed70da9726514c">OnSuccess</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> entity)</td></tr>
<tr class="separator:ab956c1c17e1a830ae1ed70da9726514c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a67d1c2d484902c6a43df98e1fb7a23f9"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d51/class_cover_head_of_target_player_lambda.html#a67d1c2d484902c6a43df98e1fb7a23f9">m_TargetPlayer</a></td></tr>
<tr class="separator:a67d1c2d484902c6a43df98e1fb7a23f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d8/ddb/_action_cover_head_target_8c_source.html#l00077">77</a> of file <a class="el" href="../../d8/ddb/_action_cover_head_target_8c_source.html">ActionCoverHeadTarget.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a6a22f38a26ed20af8adf8447c014caff" name="a6a22f38a26ed20af8adf8447c014caff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6a22f38a26ed20af8adf8447c014caff">&#9670;&#160;</a></span>CoverHeadOfTargetPlayerLambda()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void CoverHeadOfTargetPlayerLambda::CoverHeadOfTargetPlayerLambda </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>old_item</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>new_item_type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/ddb/_action_cover_head_target_8c_source.html#l00081">81</a> of file <a class="el" href="../../d8/ddb/_action_cover_head_target_8c_source.html">ActionCoverHeadTarget.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ab956c1c17e1a830ae1ed70da9726514c" name="ab956c1c17e1a830ae1ed70da9726514c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab956c1c17e1a830ae1ed70da9726514c">&#9670;&#160;</a></span>OnSuccess()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void CoverHeadOfTargetPlayerLambda::OnSuccess </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>entity</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/ddb/_action_cover_head_target_8c_source.html#l00090">90</a> of file <a class="el" href="../../d8/ddb/_action_cover_head_target_8c_source.html">ActionCoverHeadTarget.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a67d1c2d484902c6a43df98e1fb7a23f9" name="a67d1c2d484902c6a43df98e1fb7a23f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a67d1c2d484902c6a43df98e1fb7a23f9">&#9670;&#160;</a></span>m_TargetPlayer</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> CoverHeadOfTargetPlayerLambda::m_TargetPlayer</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/ddb/_action_cover_head_target_8c_source.html#l00079">79</a> of file <a class="el" href="../../d8/ddb/_action_cover_head_target_8c_source.html">ActionCoverHeadTarget.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/UserActionsComponent/Actions/Continuous/<a class="el" href="../../d8/ddb/_action_cover_head_target_8c_source.html">ActionCoverHeadTarget.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../da/d51/class_cover_head_of_target_player_lambda.html">CoverHeadOfTargetPlayerLambda</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
